Package org.apache.solr.client.solrj.request.json

# Class JacksonContentWriter

java.lang.Object
org.apache.solr.client.solrj.request.json.JacksonContentWriter

All Implemented Interfaces:
  `RequestWriter.ContentWriter`

public class JacksonContentWriter extends Object implements RequestWriter.ContentWriter

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.fasterxml.jackson.databind.ObjectMapper`
`DEFAULT_MAPPER`

## Constructor Summary

Constructors
Constructor
Description
`JacksonContentWriter(Object toWrite)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
`void`
`write(OutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_MAPPER

public static final com.fasterxml.jackson.databind.ObjectMapper DEFAULT_MAPPER

## Constructor Details

### JacksonContentWriter

public JacksonContentWriter(Object toWrite)

## Method Details

### write

public void write(OutputStream os) throws IOException

Specified by:
  `write` in interface `RequestWriter.ContentWriter`
Throws:
  `IOException`

### getContentType

public String getContentType()

Specified by:
  `getContentType` in interface `RequestWriter.ContentWriter`